SingleLevelGroupByReportExtended.java:[41,2] class, interface, o r enum expected this error is coming when i crete report plugin

3 answers

This widget could not be displayed.
Vasiliy Zverev Community Champion Jan 28, 2016

Which namely comand do you use? atlas-create-jira-plugin?

This widget could not be displayed.

atlas-create-jira-plugin-module 

 i create module for report when i use atlas-run it genrate error 

class, interface, o r enum expected this error is coming when i crete report plugin

Vasiliy Zverev Community Champion Jan 28, 2016

Could you provide exact error message from command line.

This widget could not be displayed.

It's telling you that the code on line 41 of your java file is wrong.  You need to fix it.  I can't tell you what's wrong with it, other than you've put something on the line that doesn't make sense.  The compiler is expecting a certain type of code, and you're giving it something else.

Suggest an answer

Log in or Sign up to answer
Community showcase
Asked yesterday in Data Center

Hi! I'm Cameron Deatsch, enterprise enthusiast and Head of Server at Atlassian. AMA!

Hey team! I'm Cameron Deatsch, Head of Server at Atlassian. At our European Summit just a few weeks ago, I spoke about the latest regarding our Server and Data center products and o...

19,425 views 4 4
View question

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you